Bug 877024 - virsh nodeinfo can't get the right info on AMD Bulldozer cpu
Summary: virsh nodeinfo can't get the right info on AMD Bulldozer cpu
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt
Version: 6.4
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Peter Krempa
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords: ZStream
Depends On: 874050
Blocks: 833425
TreeView+ depends on / blocked
 
Reported: 2012-11-15 14:46 UTC by Jiri Pallich
Modified: 2018-11-29 20:58 UTC (History)
14 users (show)

(edit)
The AMD Bulldozer architecture consists of "modules" which are reported by the kernel as both threads and cores. Libvirt's processor topology detection code wasn't able to detect this properly thus libvirt reported twice the actual number of processors.

This issue was fixed by reporting a topology that adds up to the total number of processors reported in the system but the actual topology has to be checked in output of virCapabilities() (virsh capabilities). Also the fallback output was documented.

Additionally the users should be instructed to use the capability output for topology detection purposes due to performance reasons. NUMA topology has the important impact performance-wise but the physical topology can differ from that.
Clone Of:
(edit)
Last Closed: 2012-12-19 09:43:37 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:1595 normal SHIPPED_LIVE libvirt bug fix update 2012-12-19 14:43:05 UTC

Description Jiri Pallich 2012-11-15 14:46:19 UTC
This bug has been copied from bug #874050 and has been proposed
to be backported to 6.3 z-stream (EUS).

Comment 5 hongming 2012-12-11 03:21:49 UTC
Verify it as follows. According to the Comment10 of bug 874050, the result is expected. So move its status to VERIFIED. 


# rpm -q libvirt
libvirt-0.9.10-21.el6_3.7.x86_64

# numactl --hardware
available: 8 nodes (0-7)
node 0 cpus: 0 4 8 12 16 20 24 28
node 0 size: 16349 MB
node 0 free: 15486 MB
node 1 cpus: 32 36 40 44 48 52 56 60
node 1 size: 16384 MB
node 1 free: 15606 MB
node 2 cpus: 1 5 9 13 17 21 25 29
node 2 size: 16384 MB
node 2 free: 14496 MB
node 3 cpus: 33 37 41 45 49 53 57 61
node 3 size: 16384 MB
node 3 free: 15433 MB
node 4 cpus: 2 6 10 14 18 22 26 30
node 4 size: 16384 MB
node 4 free: 14646 MB
node 5 cpus: 34 38 42 46 50 54 58 62
node 5 size: 16384 MB
node 5 free: 15744 MB
node 6 cpus: 35 39 43 47 51 55 59 63
node 6 size: 16384 MB
node 6 free: 15669 MB
node 7 cpus: 3 7 11 15 19 23 27 31
node 7 size: 16367 MB
node 7 free: 15681 MB
node distances:
node   0   1   2   3   4   5   6   7 
  0:  10  16  16  22  16  16  22  22 
  1:  16  10  16  22  22  22  16  22 
  2:  16  16  10  16  22  22  22  16 
  3:  22  22  16  10  22  16  22  16 
  4:  16  22  22  22  10  16  16  16 
  5:  16  22  22  16  16  10  22  22 
  6:  22  16  22  22  16  22  10  16 
  7:  22  22  16  16  16  22  16  10 



# virsh nodeinfo
CPU model:           x86_64
CPU(s):              64
CPU frequency:       2593 MHz
CPU socket(s):       1
Core(s) per socket:  64
Thread(s) per core:  1
NUMA cell(s):        1
Memory size:         132101636 kB

Comment 7 errata-xmlrpc 2012-12-19 09:43:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-1595.html


Note You need to log in before you can comment on or make changes to this bug.